<?php

namespace plugin\inspection\controller\api\auth;

use plugin\inspection\controller\api\Auth;

class Staff extends Auth
{
    public function check() {
        $this->success('登录成功', [
            'token' => $this->tokenInfo->token,
            'user' => $this->staff
        ]);
    }

    public function logout() {
        $this->staff->tokens()->delete();
        $this->success('退出成功');
    }
}