<?php

namespace plugin\inspection\model;

use think\admin\Model;

/**
 * 检修员工模型
 * @property InspectionStaff $name
 */
class InspectionStaff extends Model
{
    public function tokens()
    {
        return $this->hasMany(InspectionStaffToken::class, 'staff_id', 'id');
    }

    public function records()
    {
        return $this->hasMany(InspectionRecord::class, 'staff_id', 'id');
    }

    public function messages()
    {
        return $this->hasMany(InspectionMessage::class, 'staff_id', 'id');
    }
}