<?php

namespace plugin\inspection\controller\api;

use plugin\inspection\model\InspectionStaff;
use think\admin\Controller;

class Login extends Controller
{
    public function login()
    {
        $this->title = '登录';
        if ($this->request->post('phone')) {
            $where = $this->_vali([
                'phone.require' => '手机号码不能为空',
            ]);
            $this->staff = InspectionStaff::mk()->where($where)->find();
        } else {
            $where = $this->_vali([
                'account.require' => '登录账号不能为空',
            ]);
            $this->staff = InspectionStaff::mk()->where($where)->find();
        }
        if (empty($this->staff)) {
            $this->error('用户不存在');
        }
        ["password" => $password] = $this->_vali([
            'password.require' => '登录密码不能为空',
        ]);
        if ($this->staff->password !== $password) {
            $this->error('密码错误');
        }
        $this->staff->save(['last_login_at' => date('Y-m-d H:i:s')]);
        $this->staff->tokens()->where('token', '<>', '')->delete();
        $this->success('登录成功', [
            'token' => $this->staff->tokens()->save(['token' => md5(uniqid())])->token,
            'user' => $this->staff->toArray(),
        ]);
    }
}